# Generated by Django 2.2.6 on 2019-10-10 17:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0003_auto_20191010_1455'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='skill',
            name='user',
        ),
        migrations.AlterModelTable(
            name='group',
            table='groups',
        ),
        migrations.AlterModelTable(
            name='skill',
            table='skills',
        ),
        migrations.AlterModelTable(
            name='university',
            table='university',
        ),
        migrations.CreateModel(
            name='ProfilesSkills',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('level', models.CharField(choices=[('B', 'Beginner'), ('M', 'Middle'), ('S', 'Senior'), ('G', 'Geek')], default='B', max_length=2)),
                ('profile', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Profile')),
                ('skill', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.Skill')),
            ],
            options={
                'db_table': 'profiles_skills',
            },
        ),
    ]
